### Namespace

# Mtk – 14

Mutter Toolkit Private Library

Version | 14
Authors | Mutter Development Team
License | GPL-2.0-or-later
Website | https://blogs.gnome.org/shell-dev/
Source | https://gitlab.gnome.org/GNOME/mutter/

#### Build

C headers | `mtk/mtk.h`
pkg-config files | `mutter-mtk-14`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Structs

Rectangle | since: 14
Region | since: 14
RegionBuilder | since: 14
RegionIterator | MtkRegion is a yx banded region; sometimes its useful to iterate through such a region treating the start and end of each horizontal band in a distinct fashion. since: 14

#### Enumerations

RegionOverlap | since: 14
RoundingStrategy | since: 14

#### Functions

x11_error_trap_pop | since: 14
x11_error_trap_pop_with_return | since: 14
x11_error_trap_push | since: 14
x11_errors_deinit | since: 14
x11_errors_init | since: 14

#### Function Macros

RECTANGLE_CREATE_ARRAY_SCOPED | since: 14
RECTANGLE_INIT | since: 14

#### Constants

RECTANGLE_MAX_STACK_RECTS | since: 14
REGION_BUILDER_MAX_LEVELS | since: 14